### Hierarchy

- AtomDispatcher

## Index

### Properties

- head
- paused
- tail

### Methods

- callLater
- onTimeout
- pause
- start
- waitForAll

## Properties

### head

head: any = null

- Defined in core/AtomDispatcher.ts:5

### paused

paused: boolean

- Defined in core/AtomDispatcher.ts:4

### tail

tail: any = null

- Defined in core/AtomDispatcher.ts:6

## Methods

### callLater

- callLater(f: function): void

- - Defined in core/AtomDispatcher.ts:39

  #### Parameters

  - ##### f: function

    - - (): void

      - #### Returns void

### onTimeout

- onTimeout(): void

- - Defined in core/AtomDispatcher.ts:8

  #### Returns void

### pause

- pause(): void

- - Defined in core/AtomDispatcher.ts:28

  #### Returns void

### start

- start(): void

- - Defined in core/AtomDispatcher.ts:32

  #### Returns void

### waitForAll

- waitForAll(): Promise<any>

- - Defined in core/AtomDispatcher.ts:54

  #### Returns Promise<any>

Generated using TypeDoc